/*
    Irchat - Infrared chat on TI89 calculators
    Copyright (C) 2003  Sbastien Bourdeauducq

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __COMM_LOWLEVEL_H
#define __COMM_LOWLEVEL_H

#include "config.h"

#include <peekpoke.h>

#define LINK_REGISTER 0x60000C
#define LINK_PORT 0x60000E
#define IR_IN 3
#define IR_OUT 0

#define ir_on(void) pokeIO_bclr(LINK_PORT, IR_OUT)
#define ir_off(void) pokeIO_bset(LINK_PORT, IR_OUT)
#define ir_read(void) peekIO_bit(LINK_PORT, IR_IN)

void uart_init();
void uart_free();

unsigned char hwtest();

unsigned char uart_send(void *buffer, unsigned short length);
unsigned char uart_recv(void *buffer, unsigned short length);

#endif
