/*
    Irchat - Infrared chat on TI89 calculators
    Copyright (C) 2003  Sbastien Bourdeauducq

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "config.h"

#include <alloc.h>
#include <dialogs.h>
#include <estack.h>
#include <kbd.h>
#include <mem.h>
#include <stdio.h>

#include "locale.h"
#include "log.h"

#define CONFIG_FILE "main\\ircfg"

unsigned char load_settings2()
{
  FILE *f;
  f = fopen(CONFIG_FILE, "rb");
  if(!f) return FALSE;
  if(fread(logfilename, 9, 1, f) != 1) {
    fclose(f);
    return FALSE;
  }
  fclose(f);
  return TRUE;
}

void load_settings()
{
  if(!load_settings2()) {
    /* Load default settings */
    logfilename[0] = 0;
  }
}

void save_settings()
{
  FILE *f;
  f = fopen(CONFIG_FILE, "wb");
  if (!f) return;
  fwrite(logfilename, 9, 1, f);
  fputc(0,f);
  fputs("CFG",f);
  fputc(0,f);
  fputc(OTH_TAG,f);
  fclose(f);
}

void show_config_dialog()
{
  HANDLE dlg;
  char dlgbuffer[9];
  memcpy(dlgbuffer, logfilename, 9);
  dlg = DialogNewSimple(130, 50);
  if(dlg == H_NULL) return;
  DialogAddTitle(dlg, SETTINGS, BT_OK, BT_CANCEL);
  DialogAddRequest(dlg, 5, 20, LOGFILE_DLG, 0, 8, 8);
  if(DialogDo(dlg, CENTER, CENTER, dlgbuffer, NULL) == KEY_ENTER) {
    memcpy(logfilename, dlgbuffer, 9);
    save_settings();
  }
  HeapFree(dlg);
}

